Package ru.bitel.bgbilling.modules.phone.common.bean

# Class PhoneItemListNumber

java.lang.Object
ru.bitel.bgbilling.modules.phone.common.bean.PhoneItemListNumber

    public class PhoneItemListNumber
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PhoneItemListNumber()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `equals​(java.lang.Object obj)` |
  `java.lang.String` | `getNumber()` |
  `int` | `getPhoneItemId()` |
  `java.lang.String` | `getPointNumber()` |
  `boolean` | `isNewNumber()` |
  `boolean` | `isToDeleteNumber()` |
  `void` | `setNewNumber​(boolean newNumber)` |
  `void` | `setNumber​(java.lang.String number)` |
  `void` | `setPhoneItemId​(int phoneItemId)` |
  `void` | `setPointNumber​(java.lang.String pointNumber)` |
  `void` | `setToDeleteNumber​(boolean toDeleteNumber)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PhoneItemListNumber

    public PhoneItemListNumber()

- ## Method Details

  - ### equals

    public boolean equals​(java.lang.Object obj)
    Overrides:
      `equals` in class `java.lang.Object`

  - ### getPhoneItemId

    public int getPhoneItemId()

  - ### setPhoneItemId

    public void setPhoneItemId​(int phoneItemId)

  - ### getNumber

    public java.lang.String getNumber()

  - ### setNumber

    public void setNumber​(java.lang.String number)

  - ### isNewNumber

    public boolean isNewNumber()

  - ### setNewNumber

    public void setNewNumber​(boolean newNumber)

  - ### isToDeleteNumber

    public boolean isToDeleteNumber()

  - ### setToDeleteNumber

    public void setToDeleteNumber​(boolean toDeleteNumber)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`

  - ### getPointNumber

    public java.lang.String getPointNumber()

  - ### setPointNumber

    public void setPointNumber​(java.lang.String pointNumber)